首先先安装docker,可以参考《 在CentOS7中安装docker》安装完后再进行后续步骤。
1、首先检查linux有没有安装python-pip包,终端执行 pip -V
2、没有python-pip包就执行命令yum -y install epel-release
3、安装python-pip包yum -y install python-pip
4、对安装好的pip进行升级 pip install --upgrade pip
5、安装docker-compose,pip install docker-compose
6、检查是否成功安装docker-compose -version
 
第6步如报错如下
/usr/lib/python2.7/site-packages/requests/__init__.py:80: RequestsDependencyWarning: urllib3 (1.22) or chardet (2.2.1) doesn't match a supported version!
需执行如下命令
1、pip uninstall urllib3
2、pip uninstall chardet
3、pip install requests
4、docker-compose -version
 
最后修改于 2018-11-29 23:41:54
如果觉得我的文章对你有用,请随意赞赏
扫一扫支付
上一篇